// SPhraseDlg.h : header file
//

#if !defined(AFX_SPHRASEDLG_H__268789E7_041B_11D1_9467_444553540000__INCLUDED_)
#define AFX_SPHRASEDLG_H__268789E7_041B_11D1_9467_444553540000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "SillyPhr.h"

/////////////////////////////////////////////////////////////////////////////
// CSPhraseDlg dialog

class CSPhraseDlg : public CDialog
{
// Construction
public:
	CSPhraseDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSPhraseDlg)
	enum { IDD = IDD_SPHRASE_DIALOG };
	CButton	m_ButtonMore;
	CEdit	m_output;
	CSliderCtrl	m_impressive;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSPhraseDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon, m_hLogo;
	// the silly phrase generator class
	CSillyPhrase generator;
	// the loadable file types
	static const char szFilters[];

	// Generated message map functions
	//{{AFX_MSG(CSPhraseDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonMore();
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	//}}AFX_MSG
	afx_msg void OnFileOpen();
	afx_msg void OnAboutBox();
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SPHRASEDLG_H__268789E7_041B_11D1_9467_444553540000__INCLUDED_)
